Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigAppender

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  RemoteConfigConsoleAppender, RemoteConfigDailyRollingFileAppender, RemoteConfigFileAppender, RemoteConfigNTLogAppender, RemoteConfigRollingFileAppender, RemoteConfigSocketAppender, RemoteConfigSysLogAppender, RemoteConfigTelnetAppender

    public interface RemoteConfigAppender

extends java.rmi.Remote

The `RemoteConfigAppender` takes charge of managing and associating appender's general properties.

Since:
  V8.1

Field Summary
`static java.lang.String` | `DST_CONSOLE`
`static java.lang.String` | `DST_DAILY_ROLLING_FILE`
`static java.lang.String` | `DST_FILE`
`static java.lang.String` | `DST_LF5`
`static java.lang.String` | `DST_NTLOG`
`static java.lang.String` | `DST_ROLLING_FILE`
`static java.lang.String` | `DST_SOCKET`
`static java.lang.String` | `DST_SYSLOG`
`static java.lang.String` | `DST_TELNET`
`static java.lang.String` | `LAYOUT_HTML`
`static java.lang.String` | `LAYOUT_PATTERN` define all the layout values supported by the appender.
`static java.lang.String` | `LAYOUT_SIMPLE`
`static java.lang.String` | `LAYOUT_TTCC`
`static java.lang.String` | `LAYOUT_XML`
`static java.lang.String[]` | `LAYOUTS`
`static java.lang.String` | `THRESHOLD_ALL`
`static java.lang.String` | `THRESHOLD_DEBUG`
`static java.lang.String` | `THRESHOLD_ERROR`
`static java.lang.String` | `THRESHOLD_FATAL`
`static java.lang.String` | `THRESHOLD_INFO`
`static java.lang.String` | `THRESHOLD_OFF` define all threshold values supported by the appender.
`static java.lang.String` | `THRESHOLD_WARN`
`static java.lang.String[]` | `THRESHOLDS`

Method Summary
`java.lang.String` | `getName()` get the appender name (for example, "File", "RollingFile", ..., etc).
`java.lang.String` | `getThreshold()` get the threshold of the appender/destination.
`boolean` | `isSelected()` judge whether the appender is selected as a valid output destination by its logger or not.
`void` | `setSelected(boolean select)` modify the appender's selectivity to its logger.
`void` | `setThreshold(java.lang.String threshold)` set the threshold value to the appender.

Field Detail

### THRESHOLD_OFF

    static final java.lang.String THRESHOLD_OFF

  define all threshold values supported by the appender. currently the threshold is equivalent to logger's level.

  See Also:
    Constant Field Values

### THRESHOLD_FATAL

    static final java.lang.String THRESHOLD_FATAL

See Also:
  Constant Field Values

### THRESHOLD_ERROR

    static final java.lang.String THRESHOLD_ERROR

See Also:
  Constant Field Values

### THRESHOLD_WARN

    static final java.lang.String THRESHOLD_WARN

See Also:
  Constant Field Values

### THRESHOLD_INFO

    static final java.lang.String THRESHOLD_INFO

See Also:
  Constant Field Values

### THRESHOLD_DEBUG

    static final java.lang.String THRESHOLD_DEBUG

See Also:
  Constant Field Values

### THRESHOLD_ALL

    static final java.lang.String THRESHOLD_ALL

See Also:
  Constant Field Values

### THRESHOLDS

    static final java.lang.String[] THRESHOLDS

### LAYOUT_PATTERN

    static final java.lang.String LAYOUT_PATTERN

  define all the layout values supported by the appender.

  See Also:
    Constant Field Values

### LAYOUT_HTML

    static final java.lang.String LAYOUT_HTML

See Also:
  Constant Field Values

### LAYOUT_XML

    static final java.lang.String LAYOUT_XML

See Also:
  Constant Field Values

### LAYOUT_TTCC

    static final java.lang.String LAYOUT_TTCC

See Also:
  Constant Field Values

### LAYOUT_SIMPLE

    static final java.lang.String LAYOUT_SIMPLE

See Also:
  Constant Field Values

### LAYOUTS

    static final java.lang.String[] LAYOUTS

### DST_FILE

    static final java.lang.String DST_FILE

See Also:
  Constant Field Values

### DST_ROLLING_FILE

    static final java.lang.String DST_ROLLING_FILE

See Also:
  Constant Field Values

### DST_DAILY_ROLLING_FILE

    static final java.lang.String DST_DAILY_ROLLING_FILE

See Also:
  Constant Field Values

### DST_CONSOLE

    static final java.lang.String DST_CONSOLE

See Also:
  Constant Field Values

### DST_LF5

    static final java.lang.String DST_LF5

See Also:
  Constant Field Values

### DST_SOCKET

    static final java.lang.String DST_SOCKET

See Also:
  Constant Field Values

### DST_NTLOG

    static final java.lang.String DST_NTLOG

See Also:
  Constant Field Values

### DST_SYSLOG

    static final java.lang.String DST_SYSLOG

See Also:
  Constant Field Values

### DST_TELNET

    static final java.lang.String DST_TELNET

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  get the appender name (for example, "File", "RollingFile", ..., etc).

  Returns:
    the appender name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getThreshold

    java.lang.String getThreshold()
                                  throws java.rmi.RemoteException

  get the threshold of the appender/destination. note: currently, the appender's threshold is actually equivalent to the logger's level. the appender can only support the following possible thresholds:

              "OFF"
              "FATAL"
              "ERROR"
              "WARN"
              "INFO"
              "DEBUG"
              "ALL"

  Returns:
    the threshold.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setThreshold

    void setThreshold(java.lang.String threshold)
                      throws java.rmi.RemoteException

  set the threshold value to the appender.

  Parameters:
    `threshold,` - the threshold value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isSelected

    boolean isSelected()
                       throws java.rmi.RemoteException

  judge whether the appender is selected as a valid output destination by its logger or not.

  Returns:
    true, if the appender is selected, else false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSelected

    void setSelected(boolean select)
                     throws java.rmi.RemoteException

  modify the appender's selectivity to its logger.

  Parameters:
    `select,` - the boolean value to decide whether the appender is set to its logger.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD